Bug 840992 - Soft lockup of gnome shell after keyboard entry to
Soft lockup of gnome shell after keyboard entry to
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-shell (Show other bugs)
16
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Owen Taylor
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-17 16:08 EDT by Brian Lloyd
Modified: 2013-02-13 15:39 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 15:39:55 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brian Lloyd 2012-07-17 16:08:35 EDT
Description of problem:
Gnome shell is hanging where only keyboard hot keys work.  Mouse can move, but clicks are non-operational.  Mouse image is always stuck in a non-standard mode (ie, a hand for dragging or busy as opposed to the standard arrow).
When this occurs, killing the last application interacted with (typically firefox here) frees the mouse.  It's almost like all input is trapped and going to a defunct window, and killing the application releases the input focus.



Version-Release number of selected component (if applicable):


How reproducible:
I can only notice it on a loaded system, wich high memory usage, so disk swap is in use.  I also only can notice it when the application interacted with has significant delay in responding and allows other inputs before the first is done.




Steps to Reproduce:
1.  Start computer
2.  Load firefox.
3.  Open multiple tabs (never seen with fewer than two tabs), a good candidate for one being http://vault.centos.org/3.9/updates/i386/.
4.  Click around using links.  Be messy in clicking where mouse click and release are not always at same point on screen (drag style operation).  Also seems to occur only when several operations occur in close proximity, so could be a shell to application interaction.

I've seen it once in OpenOffice calc, but have not reproduced there.  I've had this bug happen repeatedly in firefox.


Actual results:
Gnome shell becomes unresponsive to almost all input, including Alt-Tab. Ctrl-Alt-Fx does work, allowing for use of alternate virtual terminals.  Killing last interacted program returns Gnome to proper operation.

Expected results:
System shouldn't let a bug in one program (assuming there is a firefox bug) take down the whole desktop.


Additional info:
uname -r:  3.4.4-4.fc16.x86_64
Also using the Fedora provided open source driver for nVidia graphics cards. 

Installed packages
gnome-shell.x86_64                    3.2.2.1-1.fc16                    @updates
firefox.x86_64                      13.0.1-1.fc16                       @updates
Comment 1 Fedora End Of Life 2013-01-16 11:43:24 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Fedora End Of Life 2013-02-13 15:39:59 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.